#! /system/bin/sh

if [ `whoami` != "root" ] 
then echo "Bitte als su starten" ;exit 0
fi

Cpu=`find /sys/devices/system/cpu/cpu0/cpufreq/ -type f | grep -E "(cpuinfo|scaling)" | grep -vE "(transition_latency|setspeed)"`


if [ -e /sys/devices/system/cpu/cpufreq/interactive ] 
then
Govi=`ls /sys/devices/system/cpu/cpufreq/interactive/*`

elif [ -e /sys/devices/system/cpu/cpufreq/ondemand ] 
then
Govo=`ls /sys/devices/system/cpu/cpufreq/ondemand/*`
else
echo "*******************************************" 
echo "Strange CPUGovenor, you should check it!" 
echo "*******************************************"
fi


Touch=`find /sys/android_touch/ -type f`
Thermal=`find /sys/kernel/msm_thermal/conf/ -type f`
Mpdec=`ls /sys/kernel/msm_mpdecision/conf/*`
Sound=`find /sys/devices/virtual/misc/soundcontrol/ -type f | grep -vE "(power|uevent|soundcontrol/dev|version)"`
Gamma=`ls /sys/devices/platform/mipi_lgit.1537/kgamma_*|grep -v apply`
Tcp=`find /sys/kernel/ipv4/ -type f`
Gamma_kcal=`cat /sys/devices/platform/kcal_ctrl.0/kcal`
PossibleCpus=`cat /sys/devices/system/cpu/possible`
FastCharge=`cat /sys/kernel/fast_charge/force_fast_charge`
Vibra=`cat /sys/class/timed_output/vibrator/amp`
Uname=`cat /proc/version`
Readahead=`cat /sys/devices/virtual/bdi/179:0/read_ahead_kb`


echo "kernel: " $Uname

for a in $Cpu
do echo $a =
cat $a
done

for a in $Govi
do echo $a =
cat $a
done

for a in $Govo
do echo $a =
cat $a
done

for a in $Touch
do echo $a =
cat $a
done

for a in $Thermal
do echo $a =
cat $a
done

for a in $Mpdec
do echo $a =
cat $a
done

for a in $Sound
do echo $a =
cat $a
done

for a in $Gamma
do echo $a =
cat $a
echo
done
echo "Farbkalibrierung " $Gamma_kcal
echo "Min/max online cpu: " $PossibleCpus
echo "FastCharge: " $FastCharge
echo "Vibration: " $Vibra
echo "Readahead: " $Readahead
echo "Gewaehlte TCP Congestion:" $(cat /proc/sys/net/ipv4/tcp_congestion_control)
echo "Verfuegbare TCP Congestion:"
cat /proc/sys/net/ipv4/tcp_available_congestion_control
echo
echo "------------------------------------------" 
echo "tcp mem (nur zur info)" 
for a in $Tcp
do echo $a =
cat $a
done